Ergebnis 1 bis 2 von 2
  1. #1
    Anwender
    Registriert seit
    20.10.2017
    Beiträge
    24

    Standard Weiße Webseite bei Apache 2.4

    Ich habe die Webstation am Laufen.

    • http-Backend ist nginx
    • virtueller Host für meine www.webseite.de ist Apache 2.2 mit PHP 7 und Wordpress auf web/wordpress

    Läuft problemlos.


    Wenn ich jetzt umstelle, auf Apache 2.4 und meine Webseite ansurfe, erhalte ich nur eine Webseite ohne Seitenquelltext. Also die Seite lädt, ist aber komplett leer.

    Woran liegt's?


    Wenn ich zum Testen Apache 2.2 deaktivieren will, bekomme ich die Warnung, dass dann das Backend nicht mehr tun würde. D.h. Apache 2.2 nur mal zum Testen deinstallieren will ich nicht, wenn zu befürchten ist, dass ich dann an die Weg-UI der DS nicht mehr ran komme.


    Nachtrag:
    Das Problem mit der leeren Webseite tritt mit dem Firefox auf, nicht aber mit Chromium oder Safari.
    Bei Safari tritt mit Apache 2.2 wie mit 2.4 das Problem auf, dass ein ansurfen auf Domain.de fehl schlägt, obwohl das auf www.Domain.de switchen sollte.


    Noch ein Nachtrag:
    Unter Android bekommt man
    mit Apache 2.4 auf Firefox auch eine weiße Seite, unter Chrome einen Error 500.
    mit Apache 2.2 läufts.

    Es muss wohl irgendwas mit PHP, Wordpress und SQL zu tun haben:
    Code:
    [proxy_fcgi:error] [pid 9953:tid 140536857995008] [client 84.148.47.224:44506] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Error: Call to undefined function mysql_connect() in /volume1/web/wordpress/wp-includes/wp-db.php:1564\nStack trace:\n#0 /volume1/web/wordpress/wp-includes/wp-db.php(592): wpdb->db_connect()\n#1 /volume1/web/wordpress/wp-includes/load.php(404): wpdb->__construct('wordpress_user', '6s5OriX#4QZC!GA...', 'wordpress', 'localhost:/run/...')\n#2 /volume1/web/wordpress/wp-settings.php(106): require_wp_db()\n#3 /volume1/web/wordpress/wp-config.php(125): require_once('/volume1/web/wo...')\n#4 /volume1/web/wordpress/wp-load.php(37): require_once('/volume1/web/wo...')\n#5 /volume1/web/wordpress/wp-blog-header.php(13): require_once('/volume1/web/wo...')\n#6 /volume1/web/wordpress/index.php(17): require('/volume1/web/wo...')\n#7 {main}\n  thrown in /volume1/web/wordpress/wp-includes/wp-db.php on line 1564\n'
    Geändert von the_baker (11.07.2018 um 18:07 Uhr)

  2. #2
    Anwender
    Registriert seit
    20.10.2017
    Beiträge
    24

    Standard

    Erledigt. Kaum bindet man bei PHP 7.0 das SQL-Modul ein, geht's. Die Frage ist nur, warum ging es vorher dennoch mit Apache 2.2.

Ähnliche Themen

  1. Joomla update von Apache 2.2 auf Apache 2.4
    Von Amadeus im Forum Webserver
    Antworten: 6
    Letzter Beitrag: 17.10.2017, 10:15
  2. Antworten: 4
    Letzter Beitrag: 14.09.2016, 17:18
  3. Pydio/AjaXplorer aufsetzen: sys-Apache oder user-Apache?
    Von Turboføhn™ im Forum Andere 3rd Party Anwendungen
    Antworten: 5
    Letzter Beitrag: 12.12.2015, 03:07
  4. DS213+ weiße Flecken auf Gehäuse
    Von Puppetmaster im Forum Geräte der +-Serie
    Antworten: 22
    Letzter Beitrag: 17.10.2012, 07:16
  5. Invalid Link bei Qxyl Box auf DS209j / Apache
    Von DirkT im Forum Webserver
    Antworten: 0
    Letzter Beitrag: 16.08.2009, 09:00

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •